///////////////////////////////////////// Plot - PlotView+Draw.h (mwx,07.09.06)

#import <Cocoa/Cocoa.h>
#import "PlotView.h"

@interface PlotView (Draw)

- (void)plotXBar:(DataBuffer *)b:(double)x:(double)y:(int)mode;
- (void)plotYBar:(DataBuffer *)b:(double)x:(double)y:(int)mode;
- (void)plotDots:(DataBuffer *)b:(double)x:(double)y:(int)mode;
- (void)plotErrorBar:(DataBuffer *)b:(double)x:(double)y:(int)index:(int)mode;
- (void)plotLegend:(int)mode;
- (void)plotSticks:(DataBuffer *)b:(double)x:(double)y:(double)sz:
	(int)szmode:(int)mode;
- (void)plotSymbol:(DataBuffer *)b:(double)x:(double)y:(double)sz:
	(int)szmode:(int)mode;
- (void)drawGrid:(int)axis:(double)amin:(double)amax:(BOOL)front;
- (NSSize)drawAxis:(int)axis:(double)min:(double)max;
- (NSSize)drawText:(NSString *)str:(double)x:(double)y:(int)align:
		(double)angle:(NSFont *)font:(NSColor *)col;
- (NSSize)drawNumber:(double)num:(double)x:(double)y:(int)align:
		(double)angle:(NSFont *)font:(NSColor *)col:
		(int)exl:(int)dp;
- (NSString *)scaletext:(double)val:(int)exl:(int)dp;
- (NSSize)textSize:(NSString *)str font:(NSFont *)font;
- (void)textOut:(NSAttributedString *)S:(double)x:(double)y:
		(int)align:(double)angle;
- (void)crossHair:(NSPoint)loc;

@end ////////////////////////////////////////////////////////////////////// END
